#include "AT91SAM7S256.h"
#include "system.h"
#include "lcd.h"

//MAIN POINTER
AT91PS_PIO    m_pPio   = AT91C_BASE_PIOA;
AT91PS_PMC    m_pPMC   = AT91C_BASE_PMC;
AT91PS_USART  m_pUSART = AT91C_BASE_US0;
AT91PS_PDC    m_pPDC   = AT91C_BASE_PDC_US0;
AT91PS_MC     m_pMC    = AT91C_BASE_MC;
AT91PS_AIC    m_pAic   = AT91C_BASE_AIC;
AT91PS_SYS    m_pSys   = AT91C_BASE_SYS;
AT91PS_ADC    m_pADC   = AT91C_BASE_ADC;
AT91PS_RSTC   m_pRSTC  = AT91C_BASE_RSTC;

// main function
int main()
{

  /**** Enable Reset ****/
  // Enable User Reset and set its minimal assertion to 960 us
  m_pRSTC->RSTC_RMR = AT91C_RSTC_URSTEN | (0x4<<8) | (unsigned int)(0xA5<<24);

  /**** Periphery ****/
  InitPeriphery();

  /**** System init ****/
  InitFrec();


  /**** LCD ****/
  LCDInit();                          //LCD Initialization
  LCDSendCommand(DISP_ON);            //LCD on
  LCDSendCommand(CLR_DISP);           //LCD clear
  LCDSendCommand(DD_RAM_ADDR);        //LCD set first row
  //LCDSendTxt(" WWW.OLIMEX.COM ");     //write to LCD
  LCDSendTxt(" www.olimex.com ");     //write to LCD

  // Loop forever
  while(1)  {

  }
}

